Subject: Re: [PATCH v3 00/12] config: remove global state from config iteration

From: Junio C Hamano <[email-masked]>
Date: Fri, 23 Jun 2023 14:33:37 -0700

Jonathan Tan <[email-masked]> writes:

> Glen Choo <[email-masked]> writes:
>> Junio C Hamano <[email-masked]> writes:
>> 
>> > I've reviewed them in its current shape, but it seems to cause too
>> > many conflicts even when merged to 'next', let alone 'seen', with
>> > interactions with topics in flight:
>> >
>> >  * ds/add-i-color-configuration-fix (easy)
>> >  * ps/fetch-cleanups (easy but messy)
>> >  * vd/worktree-config-is-per-repository (moderately messy)
>> 
>> Ah, sorry. I ran some trial merges against these before I sent out v3,
>> but I forgot as I sent this out. Not queueing this version sounds fine.
>> 
>> > some of which may have graduated to 'master' in the meantime, so it
>> > might not be a bad idea to rebase on a more recent 'master' after
>> > you collect and adjust for review comments on v3.
>> 
>> Sounds good. I suppose it would also be worthwhile to base it on
>> conflicting topics queued for 'next'.
>
> Glen, if you can, rebase the patches *before* updating them based on my
> comments so that it's easier for reviewers to see if my comments have
> been addressed. (My comments are minor, so they should still be relevant
> even after rebasing.)
>
> Overall the patch set looks good aside from some minor comments that
> I've given as replies to the patches.

Thanks for a quick review (and thank you, Glen, for working on it).